#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	if [ "$(DEB_BUILD_ARCH)" = "i386" ];\
	then \
		cp src/LINUX/arito386.S src;\
		MAKEFILE=LINUX/Makefile.linux;\
		ASSOBJECTS="arito386.S";\
		EXTRAFLAGS="-DLiNUX -DPROTO";\
	else \
		MAKEFILE=Makefile;\
		ASSOBJECTS="";\
		EXTRAFLAGS="-DUNiX -DPROTO";\
	fi;\
	cd src && make -f $$MAKEFILE\
			CC=gcc\
			CFLAGS="$(OPTFLAGS) $$EXTRAFLAGS"\
			ASSOBJECTS="$$ASSOBJECTS"

override_dh_auto_clean:
	cd src; make clean; rm -f aribas arito386.S
	dh_auto_clean

override_dh_installchangelogs:
	dh_installchangelogs CHANGES*.txt
